SDL_DirectFB_modes.h File Reference
`#include <directfb.h>`
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_DirectFB_modes.h:

Go to the source code of this file.

## Data Structures

struct | DFB_DisplayData

## Macros

#define | SDL_DFB_DISPLAYDATA(win) DFB_DisplayData *dispdata = ((win) ? (DFB_DisplayData *) SDL_GetDisplayForWindow(window)->driverdata : NULL)

## Functions

void | DirectFB_InitModes (_THIS)
void | DirectFB_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | DirectFB_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
void | DirectFB_QuitModes (_THIS)
void | DirectFB_SetContext (_THIS, SDL_Window *window)

## Macro Definition Documentation

## SDL_DFB_DISPLAYDATA

#define SDL_DFB_DISPLAYDATA | ( |  | win | ) | DFB_DisplayData *dispdata = ((win) ? (DFB_DisplayData *) SDL_GetDisplayForWindow(window)->driverdata : NULL)

Definition at line 29 of file SDL_DirectFB_modes.h.

## Function Documentation

## DirectFB_GetDisplayModes()

void DirectFB_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## DirectFB_InitModes()

void DirectFB_InitModes | ( | _THIS |  | ) |

## DirectFB_QuitModes()

void DirectFB_QuitModes | ( | _THIS |  | ) |

## DirectFB_SetContext()

void DirectFB_SetContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## DirectFB_SetDisplayMode()

int DirectFB_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |